{% extends "base.html.twig" %}
{% block title %}
    votre facture
{% endblock %}
{% block body %}
    <div class="container">
        <h1> Votre réservation (n°{{reservation.id}})</h1>
        <div class="row">
            <div class="col">
                <div class="alert alert-light">
                    <h2>Facture</h2>
                    <dl class="row">
                    <dt class="col-md-4">Arrivée prévue </dt>
                    <dd class="col-md-8">{{reservation.dateDebut | date("j/m/Y à h:m")}}</dd>
                    <dt class="col-md-4">Départ prevue</dt>
                    <dd class="col-md-8">{{reservation.dateFin | date("j/m/Y à h:m")}}</dd>
                    <dt class="col-md-4">Vous reservez:</dt>
                    <dd class="col-md-8"> Le {{reservation.bien.categorie }} n° {{reservation.bien.id}} à {{reservation.bien.price}} € / nuit </dd>
                    </dl>
                    
                        <h3>Détails du prix </h3>
                    <dl>                    
                        <dt class="col-md-4"> Taxes pour adultes ({{reservation.famille.joursAdultes}} journées)  </dt>
                        <dd class="col-md-8">{{reservation.price.charges.taxeAdulte}} € </dd>
                        <dt class="col-md-4"> Taxes pour enfants ({{reservation.famille.joursEnfants}} journées) </dt>
                        <dd class="col-md-8">{{reservation.price.charges.taxeEnfant}} € </dd>
                        <dt class="col-md-4"> prix piscine pour enfants ({{reservation.famille.joursPiscineEnfants}} journées) </dt>
                        <dd class="col-md-8">{{reservation.price.charges.piscineEnfant}} € </dd>
                        <dt class="col-md-4"> prix piscine pour adultss ({{reservation.famille.joursPiscineAdultes}} journées) </dt>
                        <dd class="col-md-8">{{reservation.price.charges.piscineAdulte}} € </dd>

                        <dt class="col-md-4"> prix de la location </dt>
                        <dd class="col-md-8">{{reservation.price.prixHT}} € : </dd>
                        <dt class="col-md-4">dont {{reservation.price.detailSaison.jourpendant}} jours en saison haute (+15%)</dt>


                        <dt class="col-md-4">Coût Total</dt>
                        <dd class="col-md-8">{{reservation.price.total}} € </dd>


                    </dl>
                <pre>
                    {{ dump(reservation.price) }}
                </pre>
            </div>
        
        </div>
    </div>
{% endblock %}